libao documentation | libao version 1.2.2 - 20161114

# ao_plugin_close

declared in "ao/plugin.h";

Close the device. Private data structures are not deallocated yet.

    int ao_plugin_close(ao_device *device);

### Parameters

device
  Pointer to pre-allocated device structure.

### Return Values

> - 1 indicates remaining data written correctly and device closed.
> - 0 indicates an error while the device was being closed. If this device was writing to a file, the file may be corrupted.

copyright © 2001-2003 Stan Seibert, 2010-2016 Monty | xiph.org monty@xiph.org
libao documentation | libao version 1.2.2 - 20161114